png++: png::image_info Class Reference

png++ 0.2.9

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes | List of all members
png::image_info Class Reference

Holds information about PNG image. More...

`#include <image_info.hpp>`

Inheritance diagram for png::image_info:

## Public Member Functions
| image_info ()
| Constructs the image_info object with default values for color_type, interlace_type, compression_method and filter_type. More...
uint_32 | get_width () const
void | set_width (uint_32 width)
uint_32 | get_height () const
void | set_height (uint_32 height)
color_type | get_color_type () const
void | set_color_type (color_type color_space)
int | get_bit_depth () const
void | set_bit_depth (int bit_depth)
interlace_type | get_interlace_type () const
void | set_interlace_type (interlace_type interlace)
compression_type | get_compression_type () const
void | set_compression_type (compression_type compression)
filter_type | get_filter_type () const
void | set_filter_type (filter_type filter)
palette const & | get_palette () const
palette & | get_palette ()
void | set_palette (palette const &plte)
void | drop_palette ()
| Removes all entries from the palette. More...
tRNS const & | get_tRNS () const
tRNS & | get_tRNS ()
void | set_tRNS (tRNS const &trns)
double | get_gamma () const
void | set_gamma (double gamma)

## Protected Attributes
uint_32 | m_width
uint_32 | m_height
int | m_bit_depth
color_type | m_color_type
interlace_type | m_interlace_type
compression_type | m_compression_type
filter_type | m_filter_type
palette | m_palette
tRNS | m_tRNS
double | m_gamma

## Detailed Description

Holds information about PNG image.

See also
  image, generator, consumer

## Constructor & Destructor Documentation

png::image_info::image_info | ( |  | ) |
| inline

Constructs the image_info object with default values for color_type, interlace_type, compression_method and filter_type.

## Member Function Documentation

uint_32 png::image_info::get_width | ( |  | ) | const
| inline

References m_width.

Referenced by png::io_base::get_width().

void png::image_info::set_width | ( | uint_32 | width | ) |
| inline

References m_width.

Referenced by png::image< pixel, pixel_buffer_type >::resize(), png::io_base::set_width(), and png::streaming_base< pixel, image_info_ref_holder >::streaming_base().

uint_32 png::image_info::get_height | ( |  | ) | const
| inline

References m_height.

Referenced by png::consumer< pixel, pixel_consumer, image_info_ref_holder, true >::consumer(), png::io_base::get_height(), and png::generator< pixel, pixel_generator, image_info_ref_holder, true >::write().

void png::image_info::set_height | ( | uint_32 | height | ) |
| inline

References m_height.

Referenced by png::image< pixel, pixel_buffer_type >::resize(), png::io_base::set_height(), and png::streaming_base< pixel, image_info_ref_holder >::streaming_base().

color_type png::image_info::get_color_type | ( |  | ) | const
| inline

References m_color_type.

Referenced by png::io_base::get_color_type().

void png::image_info::set_color_type | ( | color_type | color_space | ) |
| inline

References m_color_type.

Referenced by png::make_image_info(), and png::io_base::set_color_type().

int png::image_info::get_bit_depth | ( |  | ) | const
| inline

References m_bit_depth.

Referenced by png::io_base::get_bit_depth().

void png::image_info::set_bit_depth | ( | int | bit_depth | ) |
| inline

References m_bit_depth.

Referenced by png::make_image_info(), and png::io_base::set_bit_depth().

interlace_type png::image_info::get_interlace_type | ( |  | ) | const
| inline

References m_interlace_type.

Referenced by png::io_base::get_interlace_type(), and png::image< pixel, pixel_buffer_type >::get_interlace_type().

void png::image_info::set_interlace_type | ( | interlace_type | interlace | ) |
| inline

References m_interlace_type.

Referenced by png::io_base::set_interlace_type(), and png::image< pixel, pixel_buffer_type >::set_interlace_type().

compression_type png::image_info::get_compression_type | ( |  | ) | const
| inline

References m_compression_type.

Referenced by png::io_base::get_compression_type(), and png::image< pixel, pixel_buffer_type >::get_compression_type().

void png::image_info::set_compression_type | ( | compression_type | compression | ) |
| inline

References m_compression_type.

Referenced by png::io_base::set_compression_type(), and png::image< pixel, pixel_buffer_type >::set_compression_type().

filter_type png::image_info::get_filter_type | ( |  | ) | const
| inline

References m_filter_type.

Referenced by png::io_base::get_filter_type(), and png::image< pixel, pixel_buffer_type >::get_filter_type().

void png::image_info::set_filter_type | ( | filter_type | filter | ) |
| inline

References m_filter_type.

Referenced by png::io_base::set_filter_type(), and png::image< pixel, pixel_buffer_type >::set_filter_type().

palette const& png::image_info::get_palette | ( |  | ) | const
| inline

References m_palette.

Referenced by png::image< pixel, pixel_buffer_type >::get_palette().

palette& png::image_info::get_palette | ( |  | ) |
| inline

References m_palette.

void png::image_info::set_palette | ( | palette const & | plte | ) |
| inline

References m_palette.

Referenced by png::image< pixel, pixel_buffer_type >::set_palette().

void png::image_info::drop_palette | ( |  | ) |
| inline

Removes all entries from the palette.

References m_palette.

Referenced by png::detail::convert_color_space_impl< rgb_pixel >::handle_palette().

tRNS const& png::image_info::get_tRNS | ( |  | ) | const
| inline

References m_tRNS.

Referenced by png::image< pixel, pixel_buffer_type >::get_tRNS().

tRNS& png::image_info::get_tRNS | ( |  | ) |
| inline

References m_tRNS.

void png::image_info::set_tRNS | ( | tRNS const & | trns | ) |
| inline

References m_tRNS.

Referenced by png::image< pixel, pixel_buffer_type >::set_tRNS().

double png::image_info::get_gamma | ( |  | ) | const
| inline

References m_gamma.

Referenced by png::image< pixel, pixel_buffer_type >::get_gamma().

void png::image_info::set_gamma | ( | double | gamma | ) |
| inline

References m_gamma.

Referenced by png::image< pixel, pixel_buffer_type >::set_gamma().

## Member Data Documentation

uint_32 png::image_info::m_width
| protected

Referenced by get_width(), png::info::read(), set_width(), and png::info::sync_ihdr().

uint_32 png::image_info::m_height
| protected

Referenced by get_height(), png::info::read(), set_height(), and png::info::sync_ihdr().

int png::image_info::m_bit_depth
| protected

Referenced by get_bit_depth(), png::info::read(), set_bit_depth(), and png::info::sync_ihdr().

color_type png::image_info::m_color_type
| protected

Referenced by get_color_type(), png::info::read(), set_color_type(), png::info::sync_ihdr(), and png::info::write().

interlace_type png::image_info::m_interlace_type
| protected

Referenced by get_interlace_type(), png::info::read(), set_interlace_type(), and png::info::sync_ihdr().

compression_type png::image_info::m_compression_type
| protected

Referenced by get_compression_type(), png::info::read(), set_compression_type(), and png::info::sync_ihdr().

filter_type png::image_info::m_filter_type
| protected

Referenced by get_filter_type(), png::info::read(), set_filter_type(), and png::info::sync_ihdr().

palette png::image_info::m_palette
| protected

Referenced by drop_palette(), get_palette(), png::info::read(), set_palette(), and png::info::write().

tRNS png::image_info::m_tRNS
| protected

Referenced by get_tRNS(), png::info::read(), set_tRNS(), and png::info::write().

double png::image_info::m_gamma
| protected

Referenced by get_gamma(), png::info::read(), set_gamma(), and png::info::write().

The documentation for this class was generated from the following file:

- image_info.hpp